What devices are compatible with my KIT?

Currently KIT and the Full Swing app are only compatible with iOS® products and Bluetooth®-enabled headphones/speakers. (Full Swing is currently exploring other options):

  • iPhone® (10 and higher), running iOS 14 and higher
  • iPad® (7th generation and higher), running iOS 14 and higher
  • iPad® Air (3rd generation and higher), running iOS 14 and higher
  • iPad® Pro (all models), running iOS 14 and higher
  • Apple Watch® (3 or higher), running watchOS 7 or higher
  • Apple AirPods® or most any Bluetooth® headphones
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

0 comments

Article is closed for comments.